Bug 847993 - Instructions for monitoring, part "Installing the SSH key" could be a bit more consistent
Instructions for monitoring, part "Installing the SSH key" could be a bit mor...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Docs Reference Guide (Show other bugs)
550
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Athene Chan
ecs-bugs
:
Depends On:
Blocks: sat550-docs
  Show dependency treegraph
 
Reported: 2012-08-14 05:41 EDT by Matej Kollar
Modified: 2015-05-11 18:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-26 00:42:20 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Matej Kollar 2012-08-14 05:41:39 EDT
Description of problem:

  On help page for monitoring, section "8.2.4. Installing the SSH key"
  [1], is point 4, describing remote command to run. First part is OK,
  but second one differs from first one in path to authorized_keys.

Actual text:

> #!/bin/sh
> cat <<EOF >> /opt/nocpulse/.ssh/authorized_keys                  
> ssh-dss AABBAB3NzaC3kc3MABCCBAJ4cmyf5jt/ihdtFbNE1YHsT0np0SYJz7xk
> hzoKUUWnZmOUqJ7eXoTbGEcZjZLppOZgzAepw1vUHXfa/L9XiXvsV8K5Qmcu70h0
> 1gohBIder/1I1QbHMCgfDVFPtfV5eedau4AAACAc99dHbWhk/dMPiWXgHxdI0vT2
> SnuozIox2klmfbTeO4Ajn/Ecfxqgs5diat/NIaeoItuGUYepXFoVv8DVL3wpp45E
> 02hjmp4j2MYNpc6Pc3nPOVntu6YBv+whB0VrsVzeqX89u23FFjTLGbfYrmMQflNi
> j8yynGRePIMFhI= root@satellite.example.com
> EOF

Expected text:

> #!/bin/sh
> cat <<EOF >> ~nocpulse/.ssh/authorized_keys
> ssh-dss AABBAB3NzaC3kc3MABCCBAJ4cmyf5jt/ihdtFbNE1YHsT0np0SYJz7xk
> hzoKUUWnZmOUqJ7eXoTbGEcZjZLppOZgzAepw1vUHXfa/L9XiXvsV8K5Qmcu70h0
> 1gohBIder/1I1QbHMCgfDVFPtfV5eedau4AAACAc99dHbWhk/dMPiWXgHxdI0vT2
> SnuozIox2klmfbTeO4Ajn/Ecfxqgs5diat/NIaeoItuGUYepXFoVv8DVL3wpp45E
> 02hjmp4j2MYNpc6Pc3nPOVntu6YBv+whB0VrsVzeqX89u23FFjTLGbfYrmMQflNi
> j8yynGRePIMFhI= root@satellite.example.com
> EOF

(basically what I suggest is

- cat <<EOF >> /opt/nocpulse/.ssh/authorized_keys                  
+ cat <<EOF >> ~nocpulse/.ssh/authorized_keys

)

Additional info:

  Current formulation might be a little confusing. Directory /opt/nocpulse/
  might not even exist, and if present it might not be
  home directory for nocpulse user. Blindly passing suggested command
  and only editing key might lead to wasted time.

  Also there is no mention of adding EOF at line following key
  (arguing that user can easily figure that out is antinomical
  to existence of such detailed description of how to do it via
  remote command).

Links:

[1] https://<fqdn>/rhn/help//reference/en-US/s1-mon-rhnmd.jsp#s2-mon-rhnmd-ssh

Note You need to log in before you can comment on or make changes to this bug.